Package org.pgpainless.decryption_verification

# Class MessageMetadata.CompressedData

java.lang.Object
org.pgpainless.decryption_verification.MessageMetadata.Layer
org.pgpainless.decryption_verification.MessageMetadata.CompressedData

All Implemented Interfaces:
  `MessageMetadata.Nested`, `MessageMetadata.Packet`

Enclosing class:
  `MessageMetadata`

public static class MessageMetadata.CompressedData extends MessageMetadata.Layer implements MessageMetadata.Nested

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final CompressionAlgorithm`
`algorithm`

### Fields inherited from class org.pgpainless.decryption_verification.MessageMetadata.Layer

`child, depth, MAX_LAYER_DEPTH, rejectedDetachedSignatures, rejectedOnePassSignatures, rejectedPrependedSignatures, verifiedDetachedSignatures, verifiedOnePassSignatures, verifiedPrependedSignatures`

## Constructor Summary

Constructors
Constructor
Description
`CompressedData(CompressionAlgorithm zip, int depth)`

## Method Summary

Modifier and Type
Method
Description
`CompressionAlgorithm`
`getAlgorithm()`
Return the `CompressionAlgorithm` used to compress the packet.
`boolean`
`hasNestedChild()`

### Methods inherited from class org.pgpainless.decryption_verification.MessageMetadata.Layer

`getChild, getRejectedDetachedSignatures, getRejectedOnePassSignatures, getRejectedPrependedSignatures, getVerifiedDetachedSignatures, getVerifiedOnePassSignatures, getVerifiedPrependedSignatures`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### algorithm

protected final CompressionAlgorithm algorithm

## Constructor Details

### CompressedData

public CompressedData(@Nonnull CompressionAlgorithm zip, int depth)

## Method Details

### getAlgorithm

@Nonnull public CompressionAlgorithm getAlgorithm()
Return the `CompressionAlgorithm` used to compress the packet.

Returns:
  compression algorithm

### hasNestedChild

public boolean hasNestedChild()

Specified by:
  `hasNestedChild` in interface `MessageMetadata.Nested`